Bug 694479

Summary: Review Request: pcl - Library for point cloud processing
Product: [Fedora] Fedora Reporter: Tim Niemueller <tim>
Component: Package ReviewAssignee: Rich Mattes <richmattes>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dwmw2, fedora-package-review, gabor.papp, notting, package-review, richmattes
Target Milestone: ---Flags: richmattes: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: pcl-1.3.1-2.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-01-05 16:00:40 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 672395, 690025    
Bug Blocks:    

Description Tim Niemueller 2011-04-07 09:33:17 EDT
Spec URL: http://fedorapeople.org/~timn/robotics/pcl.spec
SRPM URL: http://fedorapeople.org/~timn/robotics/pcl-1.0.0-0.1.svn366.fc14.src.rpm
Description:
The Point Cloud Library (or PCL) is a large scale, open project for point
cloud processing.

The PCL framework contains numerous state-of-the art algorithms including
filtering, feature estimation, surface reconstruction, registration, model
fitting and segmentation.

URL: http://pointclouds.org

Koji scratch build:
Not available, cminpack and eigen3 are still under review, adding as blockers for this review request. Builds just fine in mock:
mock --clean
mock --init
mock --init cminpack cminpack-devel eigen3-devel # (replace with RPM files)
mock --no-clean --rebuild pcl.src.rpm

Note:
The viewers currently crash. I have contact upstream and we're investigating. The test scripts run successfully (included in %check macro), therefore the library itself works. If the problem remains after acceptance, I'll disable the viewers until the problem has been resolved.

rpmlint:
pcl.spec: W: invalid-url Source0: pcl-1.0.0-svn366.tar.bz2
pcl.src: W: invalid-url Source0: pcl-1.0.0-svn366.tar.bz2

- Project has not released tarballs, yet. Created from svn, instructions in spec comments

pcl-devel.x86_64: W: no-documentation
pcl-viewers.x86_64: W: no-documentation

- API doc in -doc sub-package.

pcl-viewers.x86_64: W: no-manual-page-for-binary kinect_viewer_simple
pcl-viewers.x86_64: W: no-manual-page-for-binary pcd_grabber_viewer
pcl-viewers.x86_64: W: no-manual-page-for-binary kinect_viewer
pcl-viewers.x86_64: W: no-manual-page-for-binary pcd_viewer
pcl-viewers.x86_64: W: no-manual-page-for-binary pcd_viewer_simple

- Not available

6 packages and 1 specfiles checked; 0 errors, 9 warnings.
Comment 1 Tim Niemueller 2011-09-22 14:02:06 EDT
I have updated the package to the latest stable release 1.1.1. Spec changed in place, the new SRPM is at http://fedorapeople.org/~timn/robotics/pcl-1.1.1-1.fc15.src.rpm.
Comment 2 Tim Niemueller 2011-10-13 11:49:22 EDT
I have updated the package to the latest stable release 1.2.0. Spec changed in
place, the new SRPM is at
http://fedorapeople.org/~timn/robotics/pcl-1.2.0-1.fc15.src.rpm.
Comment 3 Rich Mattes 2011-10-26 22:38:18 EDT
I'll review this for you.

I'm having some issues building this package for f16.  I did a scratch build for f16 on koji, you can take a look at the build logs at http://koji.fedoraproject.org/koji/taskinfo?taskID=3464287
Comment 4 Tim Niemueller 2011-10-27 14:59:05 EDT
Hi Rich. Thanks for reviewing this.

The OpenNI version currently in F-16 is not up2date. I thought I had pushed all updates, but obviously I only built them. Going to push them. You can get the updated packages from http://koji.fedoraproject.org/koji/buildinfo?buildID=269182. Please remember to set the review flag to ?.
Comment 5 Rich Mattes 2011-11-02 20:16:09 EDT
I tried building the package in mock (fedora-16-x86_64) and got some internal compiler errors each time I ran the build.  I removed the smp_mflags and tried again, and managed to get the package to build.

After scaling that hurdle, I'm getting some rpath errors in f16 from rpmlint:

$ rpmlint *.rpm
pcl.src:118: W: macro-in-comment %{_libdir}
pcl.src:118: W: macro-in-comment %{_libdir}
pcl.src:119: W: macro-in-comment %{_libdir}
pcl.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libpcl_features.so.1.2.0 ['/usr/lib64', '/usr/lib64/vtk-5.6']
pcl.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libpcl_sample_consensus.so.1.2.0 ['/usr/lib64', '/usr/lib64/vtk-5.6']
pcl.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libpcl_common.so.1.2.0 ['/usr/lib64', '/usr/lib64/vtk-5.6']
pcl.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libpcl_range_image.so.1.2.0 ['/usr/lib64', '/usr/lib64/vtk-5.6']
pcl.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/nn_classification_example ['/usr/lib64', '/usr/lib64/vtk-5.6']
pcl.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libpcl_registration.so.1.2.0 ['/usr/lib64', '/usr/lib64/vtk-5.6']
pcl.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libpcl_visualization.so.1.2.0 ['/usr/lib64', '/usr/lib64/vtk-5.6', '/usr/lib64/mysql']
pcl.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libpcl_kdtree.so.1.2.0 ['/usr/lib64', '/usr/lib64/vtk-5.6']
pcl.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libpcl_io.so.1.2.0 ['/usr/lib64', '/usr/lib64/vtk-5.6']
pcl.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libpcl_range_image_border_extractor.so.1.2.0 ['/usr/lib64', '/usr/lib64/vtk-5.6']
pcl.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/convert_pcd_ascii_binary ['/usr/lib64', '/usr/lib64/vtk-5.6']
pcl.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libpcl_segmentation.so.1.2.0 ['/usr/lib64', '/usr/lib64/vtk-5.6']
pcl.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libpcl_surface.so.1.2.0 ['/usr/lib64', '/usr/lib64/vtk-5.6']
pcl.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libpcl_filters.so.1.2.0 ['/usr/lib64', '/usr/lib64/vtk-5.6']
pcl.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pcd_convert_NaN_nan ['/usr/lib64', '/usr/lib64/vtk-5.6']
pcl.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libpcl_keypoints.so.1.2.0 ['/usr/lib64', '/usr/lib64/vtk-5.6']
pcl.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libpcl_octree.so.1.2.0 ['/usr/lib64', '/usr/lib64/vtk-5.6']
pcl.x86_64: E: zero-length /usr/share/doc/pcl-1.2.0/tutorials/sources/pcl_visualizer/pcl_visualizer_simple.cpp
pcl.x86_64: E: zero-length /usr/share/doc/pcl-1.2.0/tutorials/sources/pcl_visualizer/CMakeLists.txt.simple
pcl.x86_64: W: no-manual-page-for-binary nn_classification_example
pcl.x86_64: W: no-manual-page-for-binary convert_pcd_ascii_binary
pcl.x86_64: W: no-manual-page-for-binary pcd_convert_NaN_nan
pcl-devel.x86_64: W: no-documentation
pcl-doc.noarch: E: zero-length /usr/share/doc/pcl-1.2.0/tutorials/sources/pcl_visualizer/pcl_visualizer_simple.cpp
pcl-doc.noarch: E: zero-length /usr/share/doc/pcl-1.2.0/tutorials/sources/pcl_visualizer/CMakeLists.txt.simple
pcl-viewers.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/openni_viewer_simple ['/usr/lib64', '/usr/lib64/vtk-5.6', '/usr/lib64/mysql']
pcl-viewers.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/openni_image ['/usr/lib64', '/usr/lib64/vtk-5.6', '/usr/lib64/mysql']
pcl-viewers.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/openni_passthrough ['/usr/lib64', '/usr/lib64/vtk-5.6', '/usr/lib64/mysql']
pcl-viewers.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pcd_viewer_simple ['/usr/lib64', '/usr/lib64/vtk-5.6', '/usr/lib64/mysql']
pcl-viewers.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/openni_grab_frame ['/usr/lib64', '/usr/lib64/vtk-5.6']
pcl-viewers.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/openni_3d_convex_hull ['/usr/lib64', '/usr/lib64/vtk-5.6', '/usr/lib64/mysql']
pcl-viewers.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/openni_stream_compression ['/usr/lib64', '/usr/lib64/vtk-5.6', '/usr/lib64/mysql']
pcl-viewers.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/openni_ii_normal_estimation ['/usr/lib64', '/usr/lib64/vtk-5.6', '/usr/lib64/mysql']
pcl-viewers.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/openni_voxel_grid ['/usr/lib64', '/usr/lib64/vtk-5.6', '/usr/lib64/mysql']
pcl-viewers.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pcd_grabber_viewer ['/usr/lib64', '/usr/lib64/vtk-5.6', '/usr/lib64/mysql']
pcl-viewers.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pcd_viewer ['/usr/lib64', '/usr/lib64/vtk-5.6', '/usr/lib64/mysql']
pcl-viewers.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/openni_viewer ['/usr/lib64', '/usr/lib64/vtk-5.6', '/usr/lib64/mysql']
pcl-viewers.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/openni_planar_segmentation ['/usr/lib64', '/usr/lib64/vtk-5.6', '/usr/lib64/mysql']
pcl-viewers.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/openni_3d_concave_hull ['/usr/lib64', '/usr/lib64/vtk-5.6', '/usr/lib64/mysql']
pcl-viewers.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/openni_grabber_example ['/usr/lib64', '/usr/lib64/vtk-5.6']
pcl-viewers.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/oni_viewer_simple ['/usr/lib64', '/usr/lib64/vtk-5.6', '/usr/lib64/mysql']
pcl-viewers.x86_64: W: no-documentation
pcl-viewers.x86_64: W: no-manual-page-for-binary openni_planar_segmentation
pcl-viewers.x86_64: W: no-manual-page-for-binary openni_grab_frame
pcl-viewers.x86_64: W: no-manual-page-for-binary pcd_grabber_viewer
pcl-viewers.x86_64: W: no-manual-page-for-binary openni_3d_convex_hull
pcl-viewers.x86_64: W: no-manual-page-for-binary openni_image
pcl-viewers.x86_64: W: no-manual-page-for-binary openni_passthrough
pcl-viewers.x86_64: W: no-manual-page-for-binary pcd_viewer
pcl-viewers.x86_64: W: no-manual-page-for-binary openni_viewer
pcl-viewers.x86_64: W: no-manual-page-for-binary pcd_viewer_simple
pcl-viewers.x86_64: W: no-manual-page-for-binary openni_ii_normal_estimation
pcl-viewers.x86_64: W: no-manual-page-for-binary openni_grabber_example
pcl-viewers.x86_64: W: no-manual-page-for-binary openni_3d_concave_hull
pcl-viewers.x86_64: W: no-manual-page-for-binary openni_stream_compression
pcl-viewers.x86_64: W: no-manual-page-for-binary oni_viewer_simple
pcl-viewers.x86_64: W: no-manual-page-for-binary openni_voxel_grid
pcl-viewers.x86_64: W: no-manual-page-for-binary openni_viewer_simple
6 packages and 0 specfiles checked; 37 errors, 24 warnings.


Most of the warnings (manpage, etc) are ok, but the rpath stuff needs to be fixed.
Comment 6 Gabor Papp 2011-11-13 02:19:26 EST
Adding the -DCMAKE_SKIP_RPATH=ON switch to the %cmake line solved the rpath issue for me.
Comment 7 Tim Niemueller 2011-12-04 20:00:12 EST
I have upgraded the package to PCL 1.3.1. It also addresses the rpath problem. Besides that it removes the version suffix from pkg-config files and removes the openni-dev requirement from pcl_io pkg-config file (not available on Fedora). It also fixes the Requires of the devel sub-package. I have also prefixed all installed binaries with pcl_ (just like the libraries). There is an increasing number with ambiguous names like "add_gaussian_noise" and hence this is needed. I'll also propose this upstream.

The new SRPM is at http://fedorapeople.org/~timn/robotics/pcl-1.3.1-1.fc15.src.rpm, the spec file changed in place.

Scratch build does not work atm because it needs openni-devel 1.3.2.1 from updates-testing, but this has a problem on its own that I need to fix first.
Comment 8 Rich Mattes 2011-12-17 01:06:06 EST
I was able to build this package locally on f16 without any errors, so I can (finally) proceed with a review!


[+]: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
 $ rpmlint ../RPMS/x86_64/pcl-* ../SRPMS/pcl*
pcl.x86_64: E: zero-length /usr/share/doc/pcl-1.3.1/tutorials/sources/pcl_visualizer/CMakeLists.txt.simple
pcl.x86_64: E: zero-length /usr/share/doc/pcl-1.3.1/tutorials/sources/pcl_visualizer/pcl_visualizer_simple.cpp
pcl-devel.x86_64: W: no-documentation
pcl-tools.x86_64: W: no-documentation
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_passthrough_filter
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_openni_mls_smoothing
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_extract_feature
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_mesh2pcd
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_openni_change_viewer
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_surfel_smoothing_test
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_fpfh_estimation
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_openni_uniform_sampling
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_openni_grabber_example
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_pcd_grabber_viewer
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_icp2d
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_openni_planar_segmentation
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_gp3_surface
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_spin_estimation
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_openni_io
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_mls_smoothing
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_openni_passthrough
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_elch
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_registration_visualizer
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_icp
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_cluster_extraction
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_pcd_convert_NaN_nan
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_nn_classification_example
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_convert_pcd_ascii_binary
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_pcd_viewer
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_openni_ii_normal_estimation
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_octree_viewer
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_ppf_object_recognition
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_transform_point_cloud
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_openni_viewer
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_plane_projection
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_statistical_multiscale_interest_region_extraction_example
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_voxel_grid
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_openni_voxel_grid
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_openni_feature_persistence
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_mesh_sampling
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_openni_grab_frame
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_add_gaussian_noise
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_openni_3d_convex_hull
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_compute_cloud_error
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_boundary_estimation
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_openni_stream_compression
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_oni_viewer
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_vfh_estimation
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_openni_image
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_normal_estimation
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_pyramid_surface_matching
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_openni_boundary_estimation
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_multiscale_feature_persistence_example
pcl-tools.x86_64: W: no-manual-page-for-binary pcl_openni_3d_concave_hull
pcl.src:126: W: macro-in-comment %{_libdir}
pcl.src:126: W: macro-in-comment %{_libdir}
pcl.src:127: W: macro-in-comment %{_libdir}
pcl.src:130: W: macro-in-comment %{_libdir}
pcl.src:134: W: macro-in-comment %check
pcl.src:121: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 121)
5 packages and 0 specfiles checked; 2 errors, 58 warnings.


The manpage stuff is nothing to worry about.  It also looks like they're installing an empty example by default.  It's not the end of the world, but it might be worth it to remove the offending files until they are filled in.  The rest of the warnings are harmless

[+]: The package must be named according to the Package Naming Guidelines

[+]: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
 
[+]: The package must meet the Packaging Guidelines

[+]: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines

[+]: The License field in the package spec file must match the actual license.

[+]: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

[+]: The spec file must be written in American English. 

[+]: The spec file for the package must be legible. 

[+]: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
a20953ed241fc7eb7d105878b01fa6c5  /home/rich/Downloads/PCL-1.3.1-Source.tar.bz2
a20953ed241fc7eb7d105878b01fa6c5  ../SOURCES/PCL-1.3.1-Source.tar.bz2

[-]: The package must successfully compile and build into binary rpms on at least one primary architecture.
Tested on my local f16 machine with openni packages from http://koji.fedoraproject.org/koji/packageinfo?packageID=11605, but the build fails in koji since the updates are still in updates-testing.  It looks like the update got at least one negative karma in the f15 package; either way this has to wait for an up-to-date openni to land in updates.

[+]: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch must have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number must be placed in a comment, next to the corresponding ExcludeArch line.

[+]: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

[N]: The spec file must handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[+]: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 

[+]: Packages must NOT bundle copies of system libraries.
    Contained in the source distribution, removed in spec file.

[N]: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.

[+]: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.

[-]: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
For some reason, the base pcl package is including /usr/share/doc/{tutorials,pcl-1.3.1}, which are supposed to be in the pcl-doc package.  It's not obvious to me why this is happening since the files are only listed in the pcl-doc package, so I'm going to keep poking at it.

[+]: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
Defattr is set correctly, 

[+]: Each package must consistently use macros. 
Use of macros is appropriate and consistent.

[+]: The package must contain code, or permissable content. 

[+]: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
   HTML API documentation is large, and in a separate noarch subpackage

[+]: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 

[+]: Header files must be in a -devel package. 

[N]: Static libraries must be in a -static package.

[+]: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 

[+]: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} 

[+]: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.

[-]: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
   There are a few GUI applications that don't include a note about the lack of .desktop file in the -tools subpackage.  It's fine that upstream doesn't provide them (or manpages), it'd just be nice to see it noted.
   
[+]: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 

[+]: All filenames in rpm packages must be valid UTF-8. 


So action items before approval are:
 - Wait for an updated openni to land in updates
 - Note reasoning for lack of manpages and .desktop files
 - Sort out /usr/share/doc/pcl-1.3.1/* in the main package, and /usr/share/doc/pcl-1.3.1/* in the -doc package
 
Once these issues are addressed, I can approve this package.
Comment 9 Tim Niemueller 2011-12-24 04:52:56 EST
Thanks for the review Rich. I have uploaded the new version 1.3.1-2 which fixes the issues, especially the docs issue. Thanks for pointing this out, I just missed it. Additionally I have sorted out the OpenNI problems and published a new OpenNI (and PrimeSense) update. It is tagged for the next four days into the buildroot of f15 and f16. I have done scratch builds on both, f15 and f16. The OpenNI updates will land in f15/f16 updates before pcl, so I think this is no longer a reason not to complete this review. I added a short comment why there are no .desktop files in the spec file (I did this after the scratch builds hence it is only in the spec, not in the srpms).

New SRPM is at http://fedorapeople.org/~timn/robotics/pcl-1.3.1-2.fc15.src.rpm, spec file changed in place.

Scratch builds:
f15: https://koji.fedoraproject.org/koji/taskinfo?taskID=3604183
f16: https://koji.fedoraproject.org/koji/taskinfo?taskID=3604194

I hope these takes the pcl package to an acceptable state.
Merry Christmas/happy holidays.
Comment 10 Rich Mattes 2011-12-24 17:17:27 EST
I've reviewed and tested your changes.  The documentation packaging issue and specfile comments are taken care of, and the pending openni update+buildroot override take care of the primary arch build requirement. With these changes, this package is APPROVED.  Happy holidays to you too!
Comment 11 Tim Niemueller 2011-12-25 05:56:56 EST
New Package SCM Request
=======================
Package Name: pcl
Short Description: Library for point cloud processing
Owners: timn
Branches: f15 f16 el6
InitialCC:
Comment 12 Jon Ciesla 2011-12-26 18:02:21 EST
Git done (by process-git-requests).
Comment 13 Fedora Update System 2011-12-27 07:58:28 EST
pcl-1.3.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pcl-1.3.1-2.fc15
Comment 14 Fedora Update System 2011-12-27 07:59:14 EST
pcl-1.3.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pcl-1.3.1-2.fc16
Comment 15 Fedora Update System 2011-12-27 17:56:55 EST
pcl-1.3.1-2.fc16 has been pushed to the Fedora 16 testing repository.
Comment 16 Fedora Update System 2012-01-05 15:57:00 EST
pcl-1.3.1-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 17 Fedora Update System 2012-01-05 16:00:40 EST
pcl-1.3.1-2.fc16 has been pushed to the Fedora 16 stable repository.